# docker-rusty-moon

Docker image intended for Rust apps cross-compilation.  
Based on [ubuntu:latest](https://hub.docker.com/_/ubuntu) (latest LTS official image), it provides latest **nightly** Rust with the following targets:
- x86_64-unknown-linux-gnu
- x86_64-pc-windows-gnu

and provides some additional packages to be able to build:
- [eframe/egui](https://github.com/emilk/eframe_template)

Lists of built-in stuff will grow as the need arises. `apt` and `rustup` commands are available in pipeline to pull some additional stuff.

## Build 
To build image locally:  
`docker build --pull --no-cache https://inex.dev/lnkr/docker-rusty-moon.git -t lnkr/rust:latest`

Image is available at [drone.lnkr.dev](https://drone.lnkr.dev/) drone.io instance as `lnkr/rust:latest` and rebuilds on a daily basis.

## Usage
Use this while defining steps:
```
image: lnkr/rust
pull: never
```
### .drone.yml example
```
kind: pipeline
name: default
type: docker
steps:
- name: build & test
  image: lnkr/rust
  pull: never
  commands:
  - cargo build --target x86_64-unknown-linux-gnu
  - cargo build --target x86_64-pc-windows-gnu
  - cargo test
```